<?php

namespace Drupal\commerce_hubspot\HubSpot;

/**
 * Provides various helper methods related to HubSpot.
 */
class Helper {

  /**
   * Converts an object type to the corresponding client method.
   *
   * For example, `products` remain `products` while `line_items` is converted
   * to `lineItems`.
   *
   * @param string $object_type
   *   The object type.
   *
   * @return string
   *   The name of the client method.
   *
   * @see \HubSpot\Crm\ObjectType
   */
  public static function objectTypeToClientMethod(string $object_type) {
    return lcfirst(
      str_replace(' ', '', ucwords(str_replace('_', ' ', $object_type)))
    );
  }

}
