<?php

namespace Drupal\commerce_hubspot\HubSpot\Search;

use HubSpot\Client\Crm\Deals\Model\Filter;
use HubSpot\Client\Crm\Deals\Model\FilterGroup;
use HubSpot\Client\Crm\Deals\Model\PublicObjectSearchRequest;

/**
 * The factory of objects related to Deal Search API queries.
 */
class DealModelFactory implements ModelFactoryInterface {

  /**
   * {@inheritdoc}
   */
  public function filter() {
    return new Filter();
  }

  /**
   * {@inheritdoc}
   */
  public function filterGroup() {
    return new FilterGroup();
  }

  /**
   * {@inheritdoc}
   */
  public function searchRequest() {
    return new PublicObjectSearchRequest();
  }

}
