<?php

namespace Drupal\commerce_hubspot\HubSpot\Search;

use HubSpot\Client\Crm\LineItems\Model\Filter;
use HubSpot\Client\Crm\LineItems\Model\FilterGroup;
use HubSpot\Client\Crm\LineItems\Model\PublicObjectSearchRequest;

/**
 * The factory of objects related to LineItem Search API queries.
 */
class LineItemModelFactory implements ModelFactoryInterface {

  /**
   * {@inheritdoc}
   */
  public function filter() {
    return new Filter();
  }

  /**
   * {@inheritdoc}
   */
  public function filterGroup() {
    return new FilterGroup();
  }

  /**
   * {@inheritdoc}
   */
  public function searchRequest() {
    return new PublicObjectSearchRequest();
  }

}
