<?php

namespace Drupal\commerce_hubspot\HubSpot\Search;

/**
 * The interface for factories of model objects related to Search API queries.
 */
interface ModelFactoryInterface {

  /**
   * Returns a new filter model object for the API being searched.
   *
   * @return mixed
   *   A newly created filter model object.
   */
  public function filter();

  /**
   * Returns a new filter group model object for the API being searched.
   *
   * @return mixed
   *   A newly created filter group model object.
   */
  public function filterGroup();

  /**
   * Returns a new search request model object for the API being searched.
   *
   * @return mixed
   *   A newly created search request model object.
   */
  public function searchRequest();

}
