<?php

namespace Drupal\commerce_hubspot\Plugin\EntitySync\FieldTransformer;

use Drupal\entity_sync\Plugin\EntitySync\FieldTransformer\CopyValue;
use Drupal\Core\Entity\ContentEntityInterface;

/**
 * Transformer that exports the order number.
 *
 * If the order has an order number (usually after it has been placed), the
 * order number is exported. Otherwise, the order ID.
 *
 * @EntitySyncFieldTransformer(
 *   id = "commerce_hubspot_order_number"
 * )
 */
class OrderNumber extends CopyValue {

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration() {
    return [
      'getter' => 'getOrderNumber',
    ] + parent::defaultConfiguration();
  }

  /**
   * {@inheritdoc}
   */
  protected function transformExportedValue(
    $value,
    ContentEntityInterface $local_entity,
    $remote_entity_id,
    array $field_info,
    array $context
  ) {
    return parent::transformExportedValue(
      $value ?? $local_entity->id(),
      $local_entity,
      $remote_entity_id,
      $field_info,
      $context
    );
  }

}
